%global uprel	20100211
%define rel	5

%global jni	%{_libdir}/%{name}

Summary:	Parallel communication for the Java Development Toolkit
Name:		rxtx
Version:	2.2
Release:	%mkrel 13.%{uprel}.%{rel}
Group:		System/Libraries
License:	LGPLv2+
URL:		http://rxtx.qbang.org/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  cvs -d:pserver:anonymous@qbang.org:/var/cvs/cvsroot co -r commapi-0-0-1 -D "2010-02-11" -d rxtx-%%{uprel} rxtx-devel
#  tar cjvf rxtx-%%{uprel}.tar.bz2 --exclude CVS --exclude .cvsignore rxtx-%%{uprel}
Source0:	%{name}-%{uprel}.tar.bz2
Source1:        README.distro
Source2:	rxtx-osgi.bnd
Patch1:		rxtx-2.2-loadlibrary.patch
Patch2:		rxtx-sys_io_h_check.patch
Patch3:		rxtx-2.2-fhs_lock.patch
Patch4:		rxtx-2.2-lock.patch
Patch5:		rxtx-2.2-Add-Arduino-driver-ttyACM-rxtxcomm-as-device.patch
Patch6:		rxtx-2.2-java-version-fix.patch
Patch7:		rxtx-2.2-convert-strcpy-to-strncpy.patch
Patch8:		java10.patch
Patch9:		java11.patch
Patch10:	rxtx-2.2-undefined_symbol.patch
# no sys/io.h on arm or aarch64
ExcludeArch:	%{arm} aarch64
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	junit
BuildRequires:	aqute-bnd
BuildRequires:	javapackages-local

%description
rxtx is an full implementation of java commapi which aims to support RS232
IEEE 1284, RS485, I2C and RawIO.

%prep
%setup -q -n rxtx-%{uprel}
sed -e 's|@JNIPATH@|%{jni}|' %{PATCH1} | patch -s -b --suffix .p1 -p1

%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

# remove prebuild binaries
find . -name '*.jar' -delete
find . -name '*.hqx' -delete
cp -a %{SOURCE1} .

# Don't need to install jar file, mvn_install will do it
sed -i -e '/JHOME/d' Makefile.in

# make libtool happy
rm -rf acinclude.m4 aclocal.m4 ltconfig ltmain.sh

sed -i -e '/JAVAC/s,1\.3,1\.6,g' configure.in

%build
# fix build on aarch64
autoreconf -vfi

export JAVA_HOME=%{java_home}
%configure
%__make

iconv -f ISO_8859-1 -t UTF-8 ChangeLog >ChangeLog.utf-8
mv ChangeLog.utf-8 ChangeLog

# Inject OSGi metadata
bnd wrap -p %{SOURCE2} -v %{version} -o RXTXcomm-bnd.jar RXTXcomm.jar
mv RXTXcomm-bnd.jar RXTXcomm.jar

%install
mkdir -p %{buildroot}%{_javadir} %{buildroot}%{jni}
%make_install RXTX_PATH=%{buildroot}%{jni} JHOME=%{buildroot}%{_javadir}
# we don't want these
find %{buildroot} -name '*.la' -delete

%mvn_artifact org.rxtx:rxtx:%{version} RXTXcomm.jar
%mvn_file org.rxtx:rxtx:%{version} RXTXcomm
%mvn_install

%files -f .mfiles
%license COPYING
%doc AUTHORS ChangeLog README TODO README.distro
%{_javadir}/RXTXcomm.jar
%{jni}




%changelog
* Fri Dec 09 2022 daviddavid <daviddavid> 2.2-13.20100211.5.mga9
+ Revision: 1919936
- Mageia 9 Mass Rebuild

* Mon Nov 02 2020 wally <wally> 2.2-13.20100211.4.mga8
+ Revision: 1641735
- skip build on armv7 and aarch64 as they don't have sys/io.h
- add patches from Arch to fix build with java 11

* Fri Feb 14 2020 umeabot <umeabot> 2.2-13.20100211.2.mga8
+ Revision: 1521261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 19 2018 neoclust <neoclust> 2.2-13.20100211.1.mga7
+ Revision: 1342855
- Sync with fc29

* Sun Sep 23 2018 umeabot <umeabot> 2.2-12.mga7
+ Revision: 1300912
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 2.2-11.mga7
+ Revision: 1242481
- disable parallel build
- fix build on aarch64

* Fri Aug 19 2016 daviddavid <daviddavid> 2.2-9.mga6
+ Revision: 1047002
- sync a bit with fedora24:
  * Fix compilation on ppc64le (#1252860)
  * Apply patch from bug #1208453 (strcpy -> strncpy)
  * Patch java library version string to match the so-libs's 2.2pre2
  * Add Arduino ttyACM + rxtxcomm devices patch
  * Use mvn_artifact et. al. instead to provide maven metadata
  * Fix packaging bug with jni-related jar in /usr/share/java

* Tue Feb 09 2016 umeabot <umeabot> 2.2-8.mga6
+ Revision: 952007
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 2.2-7.mga5
+ Revision: 810169
- use .mfiles generated during build
- update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.2-6.mga5
+ Revision: 750200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-5.mga5
+ Revision: 689011
- Mageia 5 Mass Rebuild

* Sun Jan 05 2014 dmorgan <dmorgan> 2.2-4.mga4
+ Revision: 564750
- Restore good JNIPATH

* Sun Jan 05 2014 umeabot <umeabot> 2.2-3.mga4
+ Revision: 564739
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- update to 2.2
- remove librxtx-devel subpackage
- add maven pom

* Thu Sep 22 2011 gil <gil> 2.1.7.2-2.mga2
+ Revision: 146759
- added m2 pom

* Sun Mar 27 2011 dmorgan <dmorgan> 2.1.7.2-1.mga1
+ Revision: 77916
- imported package rxtx


* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7.2-1mdv2010.0
+ Revision: 399666
- use same version as gentoo

* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
+ Revision: 396931
- import rxtx


* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
- first mdv release
